FsImageProto.INodeSection.AclFeatureProto.Builder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto, class: INodeSection, class: AclFeatureProto, class: Builder

Package org.apache.hadoop.hdfs.server.namenode

# Class FsImageProto.INodeSection.AclFeatureProto.Builder

java.lang.Object
org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder
org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<BuilderT>
org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.AclFeatureProto.Builder>
org.apache.hadoop.hdfs.server.namenode.FsImageProto.INodeSection.AclFeatureProto.Builder

All Implemented Interfaces:
  `Cloneable`, `FsImageProto.INodeSection.AclFeatureProtoOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.Message.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

Enclosing class:
  FsImageProto.INodeSection.AclFeatureProto

public static final class FsImageProto.INodeSection.AclFeatureProto.Builder extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.AclFeatureProto.Builder> implements FsImageProto.INodeSection.AclFeatureProtoOrBuilder
Protobuf type `hadoop.hdfs.fsimage.INodeSection.AclFeatureProto`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FsImageProto.INodeSection.AclFeatureProto.Builder`
  `addAllEntries(Iterable<? extends Integer> values)`
  An ACL entry is represented by a 32-bit integer in Big Endian format.
  `FsImageProto.INodeSection.AclFeatureProto.Builder`
  `addEntries(int value)`
  An ACL entry is represented by a 32-bit integer in Big Endian format.
  `FsImageProto.INodeSection.AclFeatureProto.Builder`
  `addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `FsImageProto.INodeSection.AclFeatureProto`
  `build()`
  `FsImageProto.INodeSection.AclFeatureProto`
  `buildPartial()`
  `FsImageProto.INodeSection.AclFeatureProto.Builder`
  `clear()`
  `FsImageProto.INodeSection.AclFeatureProto.Builder`
  `clearEntries()`
  An ACL entry is represented by a 32-bit integer in Big Endian format.
  `FsImageProto.INodeSection.AclFeatureProto.Builder`
  `clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)`
  `FsImageProto.INodeSection.AclFeatureProto.Builder`
  `clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)`
  `FsImageProto.INodeSection.AclFeatureProto.Builder`
  `clone()`
  `FsImageProto.INodeSection.AclFeatureProto`
  `getDefaultInstanceForType()`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `int`
  `getEntries(int index)`
  An ACL entry is represented by a 32-bit integer in Big Endian format.
  `int`
  `getEntriesCount()`
  An ACL entry is represented by a 32-bit integer in Big Endian format.
  `List<Integer>`
  `getEntriesList()`
  An ACL entry is represented by a 32-bit integer in Big Endian format.
  `protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `FsImageProto.INodeSection.AclFeatureProto.Builder`
  `mergeFrom(FsImageProto.INodeSection.AclFeatureProto other)`
  `FsImageProto.INodeSection.AclFeatureProto.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `FsImageProto.INodeSection.AclFeatureProto.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)`
  `final FsImageProto.INodeSection.AclFeatureProto.Builder`
  `mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`
  `FsImageProto.INodeSection.AclFeatureProto.Builder`
  `setEntries(int index, int value)`
  An ACL entry is represented by a 32-bit integer in Big Endian format.
  `FsImageProto.INodeSection.AclFeatureProto.Builder`
  `setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `FsImageProto.INodeSection.AclFeatureProto.Builder`
  `setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
  `final FsImageProto.INodeSection.AclFeatureProto.Builder`
  `setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.AclFeatureProto.Builder>`

  - ### clear

    public FsImageProto.INodeSection.AclFeatureProto.Builder clear()
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.AclFeatureProto.Builder>`

  - ### getDescriptorForType

    public org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.AclFeatureProto.Builder>`

  - ### getDefaultInstanceForType

    public FsImageProto.INodeSection.AclFeatureProto getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

  - ### build

    public FsImageProto.INodeSection.AclFeatureProto build()
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### buildPartial

    public FsImageProto.INodeSection.AclFeatureProto buildPartial()
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### clone

    public FsImageProto.INodeSection.AclFeatureProto.Builder clone()
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.AclFeatureProto.Builder>`

  - ### setField

    public FsImageProto.INodeSection.AclFeatureProto.Builder setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `setField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.AclFeatureProto.Builder>`

  - ### clearField

    public FsImageProto.INodeSection.AclFeatureProto.Builder clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.AclFeatureProto.Builder>`

  - ### clearOneof

    public FsImageProto.INodeSection.AclFeatureProto.Builder clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.AclFeatureProto.Builder>`

  - ### setRepeatedField

    public FsImageProto.INodeSection.AclFeatureProto.Builder setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)
    Specified by:
      `setRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.AclFeatureProto.Builder>`

  - ### addRepeatedField

    public FsImageProto.INodeSection.AclFeatureProto.Builder addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `addRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.AclFeatureProto.Builder>`

  - ### mergeFrom

    public FsImageProto.INodeSection.AclFeatureProto.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<FsImageProto.INodeSection.AclFeatureProto.Builder>`

  - ### mergeFrom

    public FsImageProto.INodeSection.AclFeatureProto.Builder mergeFrom(FsImageProto.INodeSection.AclFeatureProto other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.AclFeatureProto.Builder>`

  - ### mergeFrom

    public FsImageProto.INodeSection.AclFeatureProto.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<FsImageProto.INodeSection.AclFeatureProto.Builder>`
    Throws:
      `IOException`

  - ### getEntriesList

    public List<Integer> getEntriesList()

         An ACL entry is represented by a 32-bit integer in Big Endian
         format. The bits can be divided in four segments:
         [0:2) || [2:26) || [26:27) || [27:29) || [29:32)

         [0:2) -- reserved for future uses.
         [2:26) -- the name of the entry, which is an ID that points to a
         string in the StringTableSection.
         [26:27) -- the scope of the entry (AclEntryScopeProto)
         [27:29) -- the type of the entry (AclEntryTypeProto)
         [29:32) -- the permission of the entry (FsActionProto)

    `repeated fixed32 entries = 2 [packed = true];`
    Specified by:
      `getEntriesList` in interface `FsImageProto.INodeSection.AclFeatureProtoOrBuilder`
    Returns:
      A list containing the entries.

  - ### getEntriesCount

    public int getEntriesCount()

         An ACL entry is represented by a 32-bit integer in Big Endian
         format. The bits can be divided in four segments:
         [0:2) || [2:26) || [26:27) || [27:29) || [29:32)

         [0:2) -- reserved for future uses.
         [2:26) -- the name of the entry, which is an ID that points to a
         string in the StringTableSection.
         [26:27) -- the scope of the entry (AclEntryScopeProto)
         [27:29) -- the type of the entry (AclEntryTypeProto)
         [29:32) -- the permission of the entry (FsActionProto)

    `repeated fixed32 entries = 2 [packed = true];`
    Specified by:
      `getEntriesCount` in interface `FsImageProto.INodeSection.AclFeatureProtoOrBuilder`
    Returns:
      The count of entries.

  - ### getEntries

    public int getEntries(int index)

         An ACL entry is represented by a 32-bit integer in Big Endian
         format. The bits can be divided in four segments:
         [0:2) || [2:26) || [26:27) || [27:29) || [29:32)

         [0:2) -- reserved for future uses.
         [2:26) -- the name of the entry, which is an ID that points to a
         string in the StringTableSection.
         [26:27) -- the scope of the entry (AclEntryScopeProto)
         [27:29) -- the type of the entry (AclEntryTypeProto)
         [29:32) -- the permission of the entry (FsActionProto)

    `repeated fixed32 entries = 2 [packed = true];`
    Specified by:
      `getEntries` in interface `FsImageProto.INodeSection.AclFeatureProtoOrBuilder`
    Parameters:
      `index` - The index of the element to return.
    Returns:
      The entries at the given index.

  - ### setEntries

    public FsImageProto.INodeSection.AclFeatureProto.Builder setEntries(int index, int value)

         An ACL entry is represented by a 32-bit integer in Big Endian
         format. The bits can be divided in four segments:
         [0:2) || [2:26) || [26:27) || [27:29) || [29:32)

         [0:2) -- reserved for future uses.
         [2:26) -- the name of the entry, which is an ID that points to a
         string in the StringTableSection.
         [26:27) -- the scope of the entry (AclEntryScopeProto)
         [27:29) -- the type of the entry (AclEntryTypeProto)
         [29:32) -- the permission of the entry (FsActionProto)

    `repeated fixed32 entries = 2 [packed = true];`
    Parameters:
      `index` - The index to set the value at.
      `value` - The entries to set.
    Returns:
      This builder for chaining.

  - ### addEntries

    public FsImageProto.INodeSection.AclFeatureProto.Builder addEntries(int value)

         An ACL entry is represented by a 32-bit integer in Big Endian
         format. The bits can be divided in four segments:
         [0:2) || [2:26) || [26:27) || [27:29) || [29:32)

         [0:2) -- reserved for future uses.
         [2:26) -- the name of the entry, which is an ID that points to a
         string in the StringTableSection.
         [26:27) -- the scope of the entry (AclEntryScopeProto)
         [27:29) -- the type of the entry (AclEntryTypeProto)
         [29:32) -- the permission of the entry (FsActionProto)

    `repeated fixed32 entries = 2 [packed = true];`
    Parameters:
      `value` - The entries to add.
    Returns:
      This builder for chaining.

  - ### addAllEntries

    public FsImageProto.INodeSection.AclFeatureProto.Builder addAllEntries(Iterable<? extends Integer> values)

         An ACL entry is represented by a 32-bit integer in Big Endian
         format. The bits can be divided in four segments:
         [0:2) || [2:26) || [26:27) || [27:29) || [29:32)

         [0:2) -- reserved for future uses.
         [2:26) -- the name of the entry, which is an ID that points to a
         string in the StringTableSection.
         [26:27) -- the scope of the entry (AclEntryScopeProto)
         [27:29) -- the type of the entry (AclEntryTypeProto)
         [29:32) -- the permission of the entry (FsActionProto)

    `repeated fixed32 entries = 2 [packed = true];`
    Parameters:
      `values` - The entries to add.
    Returns:
      This builder for chaining.

  - ### clearEntries

    public FsImageProto.INodeSection.AclFeatureProto.Builder clearEntries()

         An ACL entry is represented by a 32-bit integer in Big Endian
         format. The bits can be divided in four segments:
         [0:2) || [2:26) || [26:27) || [27:29) || [29:32)

         [0:2) -- reserved for future uses.
         [2:26) -- the name of the entry, which is an ID that points to a
         string in the StringTableSection.
         [26:27) -- the scope of the entry (AclEntryScopeProto)
         [27:29) -- the type of the entry (AclEntryTypeProto)
         [29:32) -- the permission of the entry (FsActionProto)

    `repeated fixed32 entries = 2 [packed = true];`
    Returns:
      This builder for chaining.

  - ### setUnknownFields

    public final FsImageProto.INodeSection.AclFeatureProto.Builder setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.AclFeatureProto.Builder>`

  - ### mergeUnknownFields

    public final FsImageProto.INodeSection.AclFeatureProto.Builder mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.AclFeatureProto.Builder>`